<?php
include "scrinit.php";
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:2px solid black;padding:4px;font-size:12pt; }
<p style="font-size:11px;"></p>
</style>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">

function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=1000, height=300, top='+top+', left='+left);
}

function KeepCount1()  { 
    var elements = document.getElementsByName("math[]");
    var total = 0;

    for(var i in elements) {
        var element = elements[i];
        if(element.checked) total++;
        if(total>1) {
            alert("Να επιλέξετε μόνο 1 μάθημα");
            element.checked = false;
            return false;    
        }
    }
  } 
  
function KeepCount2()  { 
    var elements = document.getElementsByName("math[]");
    var total = 0;
	var gl = document.getElementById("glossa");
	if ( $.inArray('Ξένη Γλώσσα', elements) > -1 ) {
       
       if (gl.options[gl.selectedIndex].value == 'glossa') {
          alert("Πρέπει να επιλέξετε μια Ξένη Γλώσσα");
          return false;
          }
    }
    for(var i in elements) {
        var element = elements[i];
        if(element.checked) total++;
        if(total>2) {
            alert("Να επιλέξετε 2 μαθήματα");
            element.checked = false;
            return false;    
        }
    }
  }


function myFunction() 
{
var elements = document.getElementsByName("math[]");
var div = document.getElementById("el");
var data = div.textContent;
var total = 0;
var gl = document.getElementById("glossa");

for(var i in elements) 
{
        if(elements[i].checked) 
		{
		   el=elements[i].value;
           if(el == "Ξένη Γλώσσα")
           {	      
             if (gl.options[gl.selectedIndex].value == 'gloss') 
			 {
             alert("Πρέπει να επιλέξετε μια Ξένη Γλώσσα");
             return false;
             }
		  }
		}
}    

for(var i in elements) 
{
        var element = elements[i];
        if(element.checked) total++;
}

if( total < data) 
{
   if(data == 2)
   {alert("Πρέπει να επιλέξετε 2 Μαθήματα"); }
   else 
   {alert("Δεν έχετε επιλέξει Μάθημα"); }
   element.checked = false;
   return false;
}
document.forms["form1"].submit();
return false;
}
</script>
</head>

<?php 
require("dbconnectdilosi.php");
$usr=$_SESSION['usr'];
$omp=$_SESSION['omp'];
$tax=$_SESSION['tax'];

if (isset($_POST['katb']))
{
  if($_POST['katb']<> "x")
  {
	   $bkat=$_POST['bkat'];
	   $sql=  mysqli_query($con,"SELECT  e.*,k.name,m.* FROM epiloges as e,kats as k,must as m 
               WHERE e.mitroo='$usr' and k.kat=e.kat and m.kat=e.kat");
	   if (mysqli_num_rows($sql) > 0 ) 
		{ //o mathitis exei kanei dilosi
			?><h3> ΑΛΛΑΓΗ  ΚΑΤΕΥΘΥΝΣΗΣ/ΜΑΘΗΜΑΤΩΝ ( Έχετε ήδη επιλέξει μαθήματα: )  <?php echo $tax." Τάξης"?> </h3><?php
            $_SESSION['allagi']=1;
   
			$row=mysqli_fetch_array($sql);
			$c=mysqli_num_rows($sql);
			$kat=$row['kat'];
			$katname=$row['name'];
			$m1=$row['must1'];
			$m2=$row['must2'];
			$m3=$row['must3'];
			$elect=array();
			$elect[1]=$row['epilogi'];
			$electnum=$row['electnum'];
			$mustnum=5-$electnum;
			if ($electnum==2)
			{
				$row=mysqli_fetch_array($sql);
				$elect[2]=$row['epilogi'];
			}

			echo "<table style='width:900px' class='myTable' >
			<tr style='border:1px solid black' bgcolor='#819FF7'  >
			<th>ΚΑΤΕΥΘΥΝΣΗ ΣΠΟΥΔΩΝ</th>
			<th>ΥΠΟΧΡΕΩΤΙΚΑ ΜΑΘΗΜΑΤΑ</th>
			<th>ΜΑΘΗΜΑΤΑ ΕΝΔΙΑΦΕΡΟΝΤΟΣ</th> </tr>";
			echo "<tr>";
			echo "<td>".$kat." - ".$katname."</td>";
			echo "<td>";
			echo "Νέα Ελληνικά"."<br>";
			echo $m1."<br>".$m2."<br>".$m3;
			echo "</td>";
			echo "<td>";
			echo $elect[1]."<br>";
			echo $elect[2]."<br>";
			echo "</td>";
			echo "</tr>";
			echo "</table>";
			echo "<br>";
			$sql=  mysqli_query($con,"SELECT elect1,elect2 FROM epilogesb  WHERE mitroo='$usr' ");
			$row=mysqli_fetch_array($sql);
			$el[1]=$row['elect1'];
			$el[2]=$row['elect2'];
			$electold=serialize($el);
		}
		else
		{
			?><h3>ΕΠΙΛΟΓΗ ΜΑΘΗΜΑΤΩΝ <?php echo $tax." Τάξης"?> </h3><?php
			$_SESSION['allagi']=0;
		}

		if ($_POST['katb'] <> "x")
		{
	      $katv=$_POST['katb'];
		  $ar=explode("/",$katv);
	      $kat=$ar[0];$katname=$ar[1];
		}
	    else
	    {
		 echo "<script>
		 alert('Πρέπει να επιλέξετε Κατεύθυνση!');
		 window.location.href='epilogesbtoc.php';
		 </script>";
	    }	
	   echo "<br>";
	   echo "<b>"." ΝΕΑ ΚΑΤΕΥΘΥΝΣΗ : "."</b>";
	   echo "<font face='arial' size='4pt' color='#ff0000'>".$kat." - ".$katname."</font> ";

	   //************metataksi
	   echo "<table style='width:900px' class='myTable' >
	   <tr style='border:1px solid black' bgcolor='#819FF7'  >
	   <th>ΕΞΕΤΑΣΕΙΣ ΜΕΤΑΤΑΞΗΣ ΣΤΑ ΒΑΣΙΚΑ ΜΑΘΗΜΑΤΑ</th>
	   </tr>";
	   echo "<tr>";
	   $sql = mysqli_query($con,"SELECT * FROM must where kat='$kat'");
	   $row = mysqli_fetch_array($sql);
	   $m[1]=$row['must1'];
	   $m[2]=$row['must2'];
	   $m[3]=$row['must3'];
	   
	   $sql = mysqli_query($con,"SELECT * FROM must where kat='$bkat' ");
	   $row = mysqli_fetch_array($sql);
	   $mx[1]=$row['must1'];
	   $mx[2]=$row['must2'];
	   $mx[3]=$row['must3'];
	   
	   $met = array_diff($m, $mx);
	   $nmet=count($met);
	   $metbasic=serialize($met);
	   echo "<td>";
	   foreach($met as $metax)
	   {
	   echo "<font face='arial' size='4pt' color='#ff0000'>".$metax."</font> "."<br>";
	   }
	   echo "</td>";
	   echo "</tr>"."</table>";
	   echo "<br>"."<br>";
	}	   
	
    
	   //******************** epilegomena
	   $sql1 = mysqli_query($con,"SELECT * FROM elects where kat='$kat' order by id");
	   $sql2 = mysqli_query($con,"SELECT * FROM must where kat='$kat'");
	   $row2 = mysqli_fetch_array($sql2);
	   $m1=$row2['must1'];$m2=$row2['must2'];$m3=$row2['must3'];
	   ?>
	   <div id="el" style="display: none;">
		<?php 
			$elnum=$row2['electnum'];
			echo htmlspecialchars($elnum); 
		?>
	   </div>
	   <?php

//****************************************************************************************
		
		echo "<b>"."ΜΑΘΗΜΑΤΑ Γ΄ ΛΥΚΕΙΟΥ"."</b>"."<br>";
		echo "<table style='width:900px' class='myTable' >
		<tr style='border:1px solid black' bgcolor='#819FF7'  >
		<th>ΚΑΤΕΥΘΥΝΣΗ ΣΠΟΥΔΩΝ</th>
		<th>ΥΠΟΧΡΕΩΤΙΚΑ ΜΑΘΗΜΑΤΑ</th>
		<th>ΜΑΘΗΜΑΤΑ ΓΙΑ ΕΠΙΛΟΓΗ</th> </tr>";
		echo "<tr>";
		echo "<td>".$kat." - ".$katname."</td>";
		echo "<td>";
		echo "Νέα Ελληνικά"."<br>";
		echo $m1."<br>".$m2."<br>".$m3;
		echo "</td>";
		echo "<td>";
		
		?>
		<form id="form1" name="form1" method="POST" action="epilogesin.php">
		<?php
		
	      echo "<font face='arial' size='3pt' color='#ff0000'> Επιλέξτε μόνο ".$elnum." μαθήματα"."</font> ";
	      if ($kat==2 and $omp <> 1)
	      {
				echo "<font face='arial' size='2pt' color='#ff0000'> (Για τα Αρχαία Ελλ. χρειάζονται εξετάσεις Μετάταξης)"."</font> ";
	      }
		  $i=1;
		  while($row1 = mysqli_fetch_array($sql1) )
		  { 
		  $mth1[$i]=$row1['elect'];
		  if ($elnum==2)
		  {
			echo "<br>"."<input type='checkbox' value='$mth1[$i]' name='math[]' onClick='return KeepCount2()' >" .$mth1[$i];   
		  }
		  else
		  {
		    echo "<br>"."<input type='checkbox' value='$mth1[$i]' name='math[]' onClick='return KeepCount1()' >" .$mth1[$i];   
		  }
		  }
	     if ($kat==2)
	     {
			 ?>
			 <br>
			 <select id='glossa' name='alliglossa' >
			  <option value="gloss">-- Επέλεξε Γλώσσα --</option>
			  <?php
			  echo "<option value='Γερμανικά'>Γερμανικά</option>";
			  echo "<option value='Ισπανικά'>Ισπανικά</option>";
			  echo "<option value='Ιταλικά'>Ιταλικά</option>";
			  echo "<option value='Ρωσικά'>Ρωσικά</option>";
			  echo "<option value='Τουρκικά'>Τουρκικά</option>";
			  ?>
			  </select>  
			  <?php	  
	     }
	     if ($kat==3 )
	     {
			?>
			<br>
			<select id='glossa' name='alliglossa' >
			  <option value="gloss">-- Επέλεξε Γλώσσα --</option>
			  <?php
			  echo "<option value='Αγγλικά'>Αγγλικά</option>";
			  echo "<option value='Γαλλικά'>Γαλλικά</option>";
			  echo "<option value='Γερμανικά'>Γερμανικά</option>";
			  echo "<option value='Ισπανικά'>Ισπανικά</option>";
			  echo "<option value='Ιταλικά'>Ιταλικά</option>";
			  echo "<option value='Ρωσικά'>Ρωσικά</option>";
			  echo "<option value='Τουρκικά'>Τουρκικά</option>";
			  ?>
			  </select>  
			  <?php	  
	     }
	     if ($kat==5)
	     {
			?>
			<br>
			<select id='glossa' name='alliglossa' >
			  <option value="gloss">-- Επέλεξε Γλώσσα --</option>
			  <?php
			  echo "<option value='Γαλλικά'>Γαλλικά</option>";
			  echo "<option value='Γερμανικά'>Γερμανικά</option>";
			  echo "<option value='Ισπανικά'>Ισπανικά</option>";
			  echo "<option value='Ιταλικά'>Ιταλικά</option>";
			  echo "<option value='Ρωσικά'>Ρωσικά</option>";
			  echo "<option value='Τουρκικά'>Τουρκικά</option>";
			  ?>
			  </select>  
			  <?php	  
	     }
   
			 ?>  
			<input type="hidden" name="kat"  value='<?php echo $kat; ?>'>
			<input type="hidden" name="electold"  value='<?php echo $electold; ?>'>
			<input type="hidden" name="elnum1"  value='<?php echo $elnum; ?>'>
			<input type="hidden" name="metbasic"  value='<?php echo $metbasic; ?>'>			
		   <?php
		   echo "</td>"."<tr>"."</table>";
		   ?>
          <br><br> 
          <input name="submit2" onClick="myFunction()" type="button" value="Καταχώρηση Μαθημάτων " style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;" >
          </form>
          <?php
		
	    	
}

?>	
<a  href=<?php echo $menu;?> style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;text-decoration:none"  >  Ακύρωση και Επιστροφή στο Μενού  </a>
</body>
</html>